omega-rpg -- buffer overflow

2003-11-11T00:00:00
ID DSA-400
Type debian
Reporter Debian
Modified 2003-11-11T00:00:00

Description

Steve Kemp discovered a buffer overflow in the commandline and environment variable handling of omega-rpg, a text-based rogue-style game of dungeon exploration, which could lead a local attacker to gain unauthorised access to the group games.

For the stable distribution (woody) this problem has been fixed in version 0.90-pa9-7woody1.

For the unstable distribution (sid) this problem has been fixed in version 0.90-pa9-11.

We recommend that you upgrade your omega-rpg package.